Subject: [Pals] PALS Working Group Last Call for draft-ietf-pals-seamless-vccv-01

From: "Andrew G. Malis" <[email-masked]>
Date: Mon, 8 Feb 2016 10:16:53 -0500

This is the PALS Working Group Last Call for draft-ietf-pals-seamless-vccv-01.
You can find the draft at:

*https://tools.ietf.org/html/draft-ietf-pals-seamless-vccv-01
<https://tools.ietf.org/html/draft-ietf-pals-seamless-vccv-01>*

Because of the subject matter, this WG LC has been copied to the BFD WG
list as well. Please, submit comments to the PALS list only.

This last call will run for two weeks, ending on February 22.

We would appreciate even just responses that you've read the draft and
support publication, even if you don't have any specific comments. Of
course, more extensive comments are invited. especially from BFD and/or
VCCV experts.

Thanks,
Andy and Stewart

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Mon, 8 Feb 2016 23:51:22 +0000

Andy, WG,

It was pointed out that the security considerations of this document “is a one-liner”, and that more is more instead of less.

It is a good call-out as an opportunity, during WGLC, to review and deliberately improve the Security Considerations.

Here’s a proposal:

 4.  Security Considerations

-   Security measures described in [RFC5885] and
-   [I-D.ietf-bfd-seamless-base] are to be followed.
+   Security considerations for VCCV are addressed in Section 10 of
+   [RFC5085].  The introduction of the S-BFD Connectivity Verification
+   (CV) Types introduces no new security risks for VCCV.  Routers that
+   implement the additional CV Types defined herein are subject to the
+   same security considerations as defined in [RFC5085], as well as
+   [I-D.ietf-bfd-seamless-base].
+
+   This specification does not raise any additional security issues
+   beyond these.

Let’s please all ponder and consider whether there are additional security considerations, increases of attack surface, or new attack vectors, for the addition of these CV Types.

Thanks!

— Carlos.

PS: I support advancing this document as a key document part of the Seamless BFD set (not because I am also a co-author).

> On Feb 8, 2016, at 10:16 AM, Andrew G. Malis <[email-masked]> wrote:
> 
> This is the PALS Working Group Last Call for draft-ietf-pals-seamless-vccv-01. You can find the draft at:
> 
> https://tools.ietf.org/html/draft-ietf-pals-seamless-vccv-01 <https://tools.ietf.org/html/draft-ietf-pals-seamless-vccv-01>
> 
> Because of the subject matter, this WG LC has been copied to the BFD WG list as well. Please, submit comments to the PALS list only.
> 
> We would appreciate even just responses that you've read the draft and support publication, even if you don't have any specific comments. Of course, more extensive comments are invited. especially from BFD and/or VCCV experts.
> 
> Thanks,
> Andy and Stewart
> 
> _______________________________________________
> Pals mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pals

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Tue, 9 Feb 2016 00:10:52 +0000

Andy, Stewart,

In reviewing this document as part of this WGLC, we are saying that it “Updates: 5885”.

However, thinking through it, I am not sure it does.

What would be your chair’s guidance on this?

Thanks!

— Carlos.

---

From: "Andrew G. Malis" <[email-masked]>
Date: Mon, 8 Feb 2016 22:09:28 -0500

Carlos,

The usual test is whether the text in the original RFC is changed as a
result of the new RFC to a greater extent than just adding new code points
to registries. I think the text in section 3 probably meets that criteria,
but I’m certainly open to other opinions.

Cheers,
Andy

---

From: "Srihari Raghavan (srihari)" <[email-masked]>
Date: Tue, 9 Feb 2016 07:13:01 +0000

Support adoption of the draft, after going through the same.

Thanks
Srihari
From: Rtg-bfd <[email-masked]<mailto:[email-masked]>> on behalf of "Andrew G. Malis" <[email-masked]<mailto:[email-masked]>>
Date: Monday, 8 February 2016 8:46 pm
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: PALS Working Group Last Call for draft-ietf-pals-seamless-vccv-01

https://tools.ietf.org/html/draft-ietf-pals-seamless-vccv-01

Thanks,
Andy and Stewart

---

From: Alexander Vainshtein <[email-masked]>
Date: Tue, 9 Feb 2016 09:29:53 +0000

Andy and all,
After reading the draft I do not support its progression in its present state.

The main reason for that is that two important issues are denoted as TBD in the draft:

1.       S-BFD Reflector Demultiplexing (Section 2.2.2.1).  This issue should be really easy to resolve IMHO (unless I am missing something important), since:

a.       Demultiplexing of S-BFD packets is described in detail in Section 7.1 of the Base S-BFD draft<https://tools.ietf.org/html/draft-ietf-bfd-seamless-base-05>

b.      Additionally, I would expect that just one S-BFD session per PW is required. Unfortunately the draft does not say anything about this issue

2.       S-BFD Reflector advertisement of target discriminators using LDP (Section 2.2.2.3).

a.       From my POV leaving this issue unresolved effectively means that S-BFD cannot be used with signaled PWs over an MPLS PSN, since the draft states (in Section 2.2.2, 1st para) that “When as pseudowire signaling protocol such as LDP or L2TPv3 is in use the S-BFD Reflector advertises its target discriminators using  that signaling protocol”

b.      It should be noticed that advertisement of target discriminators using L2TP is resolved in the document. So closing the issue with LDP should not be too complicated.
I also find it strange that Section 2.2.2 refers to a TBD Section of the Base S-BFD draft for the definition of setting the BFD Protocol fields by the S-BFD Reflector. To the best of my understanding references to two different sections of the base S-BFD draft (7.3.2 and 7.8) should be used there.

I will review the draft again once the current gaps are closed.

Regards,
Sasha

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]

From: Pals [mailto:[email-masked]] On Behalf Of Andrew G. Malis
Sent: Monday, February 08, 2016 5:17 PM
To: [email-masked]
Cc: [email-masked]
Subject: [Pals] PALS Working Group Last Call for draft-ietf-pals-seamless-vccv-01

Thanks,
Andy and Stewart

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Tue, 9 Feb 2016 11:18:16 +0000

[removing "[email-masked]" <[email-masked]> as originally requested by Andy]

Sasha,

Thank you for reviewing and for your comments! This is what WGLCs are for.

I believe our working copy fixes all these issues. You can find HTML Diffs attached to this email, we can submit when Andy signals us to.

Indeed, we are cleaning up the “TBDs”. Here’s our disposition and follow-ups to your concerns. Note that there are some TBDs that you missed but we are also fixing.

1.a. Yes, this is our new text:

2.2.2.1.  Demultiplexing

   Demultiplexing of S-BFD is achieved using the PW context, following
   the procedures in Section 7.1 of [I-D.ietf-bfd-seamless-base].

1.b. Why? I do not want to be overly limiting for no real reason, blocking future uses and ideas. This is actually something that is being solved directly in the bfs-seamless-base specification, so that solution will apply to all dependent documents, this one included. See DISCUSS from Alvaro.

2.a. Incorrect. S-BFD can be used with signaled PWs over an MPLS PSN. It is just not specified on how it is advertised with LDP TLVs. We are specifying the protocol constructs we are using, but you are free to specify the LDP distribution of S-BFD discriminators. I’m adding this paragraph to clarity:

2.2.2.3.  Advertisement of Target Discriminators using LDP

   The advertisement of the target discriminator using LDP is left for
   further study.  It should be noted that S-BFD can still be used with
   signaled PWs over an MPLS PSN, by provisioning of the S-BFD
   discriminators or by learning the S-BFD discriminators by other
   means.

In the highlighted text, “advertises” should be “can advertise"

2.b. Again, why “resolve” something we are not requiring at this point?

Additional comment — yes, but I prefer to remove the section # directly.

Thanks,

— Carlos.

> On Feb 9, 2016, at 4:29 AM, Alexander Vainshtein <[email-masked]> wrote:
> 
> Andy and all,
> a.       Demultiplexing of S-BFD packets is described in detail in Section 7.1 of the Base S-BFD draft <https://tools.ietf.org/html/draft-ietf-bfd-seamless-base-05>
> Email:   [email-masked] <mailto:[email-masked]>
> 
> From: Pals [mailto:[email-masked] <mailto:[email-masked]>] On Behalf Of Andrew G. Malis
> To: [email-masked] <mailto:[email-masked]>
> Cc: [email-masked] <mailto:[email-masked]>

---

From: Alexander Vainshtein <[email-masked]>
Date: Tue, 9 Feb 2016 11:39:32 +0000

Carlos,
Lots of thanks for a prompt response.

Please see some comments on the proposed changes inline below.

Regards,
Sasha

Office: +972-39266302
Cell:      +972-549266302

From: Carlos Pignataro (cpignata) [mailto:[email-masked]]
Sent: Tuesday, February 09, 2016 1:18 PM
To: Alexander Vainshtein
Cc: Andrew G. Malis; [email-masked]
Subject: Re: [Pals] PALS Working Group Last Call for draft-ietf-pals-seamless-vccv-01

[removing "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>> as originally requested by Andy]

Sasha,

I believe our working copy fixes all these issues. You can find HTML Diffs attached to this email, we can submit when Andy signals us to.
[[Sasha]] Well, this is for Andy to decide. Personally I would expect the WG LC to be done on the posted version of the draft, of course.

2.2.2.1.  Demultiplexing

1.b. Why? I do not want to be overly limiting for no real reason, blocking future uses and ideas.
[[Sasha]] It is up to you and your co-authors to decide whether more than one S-BFD session per PW is required, of course.  The text you’ve proposed seems a bit ambiguous to me because Section 7.1. of the base draft states that the Reflector always demultiplexes based on received Your Discriminator value. Adding that this is done using the PW context could be interpreted as if advertised Discriminator values can overlap for different PWs. Is this indeed your intent?
This is actually something that is being solved directly in the bfs-seamless-base specification, so that solution will apply to all dependent documents, this one included. See DISCUSS from Alvaro.
[[Sasha]] Not sure to which DISCUSS you refer.

In the highlighted text, “advertises” should be “can advertise"
[[Sasha]] Sorry, but I disagree. I do not think that manual configuration of the target discriminator from the remote side of a signaled PW is a reasonable approach. To the best of my recollection, the common practice with signaled PWs is that you learn all the information associated with the remote endpoint via signaling. From my POV if one of the S-BFD CV types is signaled by a Reflector PW endpoint, it should be accompanied by the range of target discriminators. Alternatively you could restrict the draft for just one S-BFD session per PW (probably covering 99.99% of the use cases) and use some hard-coded target discriminator value.

2.b. Again, why “resolve” something we are not requiring at this point?
[[Sasha]] One reason is that you resolve this issue for L2TPv3 PWs☺…
Additional comment — yes, but I prefer to remove the section # directly.
[[Sasha]] My objection was about a reference to the TBD section in a draft that is currently under IESG consideration. You can provide specific section number(s) or you can drop sections altogether, but the current state definitely looks strange☺…

Thanks,

— Carlos.

---

From: "Andrew G. Malis" <[email-masked]>
Date: Tue, 9 Feb 2016 08:02:11 -0500

Sasha, Carlos, et al,

It’s great to see substantive discussion of the draft. I’m going to leave
the last call open for the two weeks, and then ask Carlos to upload a new
revision based on the results. If we’ve got good consensus on the list at
that point, I’ll be able to forward the draft to the IESG. If there’s still
ongoing discussion, then we can have a second WG LC.

Thanks,
Andy

On Tue, Feb 9, 2016 at 6:39 AM, Alexander Vainshtein <
[email-masked]> wrote:

> *From:* Carlos Pignataro (cpignata) [mailto:[email-masked]]
> *Sent:* Tuesday, February 09, 2016 1:18 PM
> *To:* Alexander Vainshtein
> *Cc:* Andrew G. Malis; [email-masked]
> *Subject:* Re: [Pals] PALS Working Group Last Call for
> draft-ietf-pals-seamless-vccv-01
>
>
>
> I believe our working copy fixes all these issues. You can find HTML Diffs
> attached to this email, we can submit when Andy signals us to.
>
> *[[Sasha]] Well, this is for Andy to decide. Personally I would expect the
> WG LC to be done on the posted version of the draft, of course.*
>
>
>
> Indeed, we are cleaning up the “TBDs”. Here’s our disposition and
> follow-ups to your concerns. Note that there are some TBDs that you missed
> but we are also fixing.
>
>
>
> *[[Sasha]] It is up to you and your co-authors to decide whether more than
> one S-BFD session per PW is required, of course.  The text you’ve proposed
> seems a bit ambiguous to me because Section 7.1. of the base draft states
> that the Reflector always demultiplexes based on received Your
> Discriminator value. Adding that this is done using the PW context could be
> interpreted as if advertised Discriminator values can overlap for different
> PWs. Is this indeed your intent?  *
>
> This is actually something that is being solved directly in the
> bfs-seamless-base specification, so that solution will apply to all
> dependent documents, this one included. See DISCUSS from Alvaro.
>
> *[[Sasha]] Not sure to which DISCUSS you refer. *
>
>
>
> 2.a. Incorrect. S-BFD can be used with signaled PWs over an MPLS PSN. It
> is just not specified on how it is advertised with LDP TLVs. We are
> specifying the protocol constructs we are using, but you are free to
> specify the LDP distribution of S-BFD discriminators. I’m adding this
> paragraph to clarity:
>
>
>
> *[[Sasha]] Sorry, but I disagree. I do not think that manual configuration
> of the target discriminator from the remote side of a signaled PW is a
> reasonable approach. To the best of my recollection, the common practice
> with signaled PWs is that you learn all the information associated with the
> remote endpoint via signaling. From my POV if one of the S-BFD CV types is
> signaled by a Reflector PW endpoint, it should be accompanied by the range
> of target discriminators. Alternatively you could restrict the draft for
> just one S-BFD session per PW (probably covering 99.99% of the use cases)
> and use some hard-coded target discriminator value. *
>
>
>
> *[[Sasha]] One reason is that you resolve this issue for L2TPv3 PWs**J**…*
>
> *[[Sasha]] My objection was about a reference to the TBD section in a
> draft that is currently under IESG consideration. You can provide specific
> section number(s) or you can drop sections altogether, but the current
> state definitely looks strange**J**…*
>
>
>
> Thanks,
>
>
>
> — Carlos.
>
>
>

---

From: Alexander Vainshtein <[email-masked]>
Date: Tue, 9 Feb 2016 13:07:16 +0000

Andy,
Sounds good, especially since other people could hopefully come up with some additional comments☺…

Regards,
Sasha

Office: +972-39266302
Cell:      +972-549266302

From: Andrew G. Malis [mailto:[email-masked]]
Sent: Tuesday, February 09, 2016 3:02 PM
To: Alexander Vainshtein
Cc: Carlos Pignataro (cpignata); [email-masked]
Subject: Re: [Pals] PALS Working Group Last Call for draft-ietf-pals-seamless-vccv-01

Sasha, Carlos, et al,

It’s great to see substantive discussion of the draft. I’m going to leave the last call open for the two weeks, and then ask Carlos to upload a new revision based on the results. If we’ve got good consensus on the list at that point, I’ll be able to forward the draft to the IESG. If there’s still ongoing discussion, then we can have a second WG LC.

Thanks,
Andy

On Tue, Feb 9, 2016 at 6:39 AM, Alexander Vainshtein <[email-masked]<mailto:[email-masked]>> wrote:
Carlos,
Lots of thanks for a prompt response.

Regards,
Sasha

Office: +972-39266302<tel:%2B972-39266302>
Cell:      +972-549266302<tel:%2B972-549266302>
Email:   [email-masked]<mailto:[email-masked]>

From: Carlos Pignataro (cpignata) [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Tuesday, February 09, 2016 1:18 PM
To: Alexander Vainshtein
Cc: Andrew G. Malis; [email-masked]<mailto:[email-masked]>
Subject: Re: [Pals] PALS Working Group Last Call for draft-ietf-pals-seamless-vccv-01

Sasha,

2.2.2.1.  Demultiplexing

Thanks,

— Carlos.

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Tue, 9 Feb 2016 17:30:07 +0000

Sounds good Andy.

I also appreciate the interest and the useful comments.

— Carlos.

> On Feb 9, 2016, at 8:02 AM, Andrew G. Malis <[email-masked]> wrote:
> 
> Sasha, Carlos, et al,
> 
> On Tue, Feb 9, 2016 at 6:39 AM, Alexander Vainshtein <[email-masked] <mailto:[email-masked]>> wrote:
> Carlos,
> 
> Office: +972-39266302 <tel:%2B972-39266302>
> Cell:      +972-549266302 <tel:%2B972-549266302>
> From: Carlos Pignataro (cpignata) [mailto:[email-masked] <mailto:[email-masked]>]
> Cc: Andrew G. Malis; [email-masked] <mailto:[email-masked]>
> [removing "[email-masked] <mailto:[email-masked]>" <[email-masked] <mailto:[email-masked]>> as originally requested by Andy]
> 
> 
> 
> Sasha,
> 
> 
> 
> [[Sasha]] One reason is that you resolve this issue for L2TPv3 PWsJ…
> 
> [[Sasha]] My objection was about a reference to the TBD section in a draft that is currently under IESG consideration. You can provide specific section number(s) or you can drop sections altogether, but the current state definitely looks strangeJ…
> 
> 
> 
> Thanks,
> 
> 
> 
> — Carlos.
> 
> 
> 
>

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Tue, 9 Feb 2016 18:26:17 +0000

Sasha,

Thanks for the follow-up, and the useful comments. Please see inline.

> On Feb 9, 2016, at 6:39 AM, Alexander Vainshtein <[email-masked]> wrote:
> 
> Carlos,

See the response that follows below regarding multiple discriminators.

The uniqueness bit is well covered in Section 4.1. of draft-ietf-bfd-seamless-base, titled "S-BFD Discriminator Uniqueness"

> [[Sasha]] Not sure to which DISCUSS you refer.

Apologies for the lack of precision and not giving enough context. I meant a DISCUSS position on another S-BFD document in the document set, about ISIS.

The net-net of that discussion (which happened not in PALS but on draft-ietf-bfd-seamless-base, applicable to all the bfd-seamelss documents, is the addition of the following text:

   The use of multiple S-BFD discriminators by a single network node is
   outside the scope of this document.

Since that text applies to draft-ietf-bfd-seamless-base, and that is a Normative reference to this document, that should address your comment.

> [[Sasha]] Sorry, but I disagree. I do not think that manual configuration of the target discriminator from the remote side of a signaled PW is a reasonable approach. To the best of my recollection,…

Sasha, it seems to me you are mixing up two independent issues, and sprinkling some misconceptions on top.

Let me attempt to clarify.

First, this document concerns itself with:

   This document extends the procedures and Connectivity Verification
   (CV) types already defined for Bidirectional Forwarding Detection
   (BFD) for Virtual Circuit Connectivity Verification (VCCV) to define
   Seamless BFD (S-BFD) for VCCV.

It does not attempt to solve the distribution of S-BFD discriminators. It does list potential ways of doing it, and in the case of L2TPv3, a preferred one.

For MPLS, LDP is potentially one way of distributing discriminators. Interestingly, if you look at RFC 5884, traditional BFD uses MPLS LSP Ping for doing the discriminator learning, and not, say, LDP.

The second topic being mixed up is about S-BFD sessions per PW, which I believe was the previous comment.

The additional clarification is that you talk about a “range of target discriminators” — but there is not such a thing as a “range”.

[BTW, I had pointed to you in a separate thread on a separate document that strictly following common practice is a wonderful recipe to not innovate :-) Let’s continue discussing technical merits, but ‘common practice is to signal’ does not seem to stand on firm ground]

Net-net, specifying CV Type is independent of how discriminators are learned.

> [[Sasha]] One reason is that you resolve this issue for L2TPv3 PWsJ…

Please see above.

Reality is that there is a document specifying a way to distribute discriminators for L2TPv3, but for LDP-based PWs, it has not been studied yet. That’s what the document says.

If further says that any way in which these are learned, it is orthogonal to the CV VCCV advertisement.

If this is not clear from the document, which is absolutely possible, would you please propose some text?

Another alternative is to define only the L2TPv3 CVs and forget the MPLS ones. I believe we are going the extra mile in defining the most general approach.

> [[Sasha]] My objection was about a reference to the TBD section in a draft that is currently under IESG consideration. You can provide specific section number(s) or you can drop sections altogether…

I understood. As I said, removing the section # is best.

The current text reads:

      S-BFD Reflector operation for BFD protocol fields MUST be
      according to the specifications of [I-D.ietf-bfd-seamless-base].

Thanks,

— Carlos.

---

From: Gregory Mirsky <[email-masked]>
Date: Tue, 9 Feb 2016 23:29:07 +0000

Hi Carlos, Sasha, et. al,
very interesting discussion. Hope my in-line comments tagged GIM>> would help.

                Regards,
                                Greg

From: Pals [mailto:[email-masked]] On Behalf Of Carlos Pignataro (cpignata)
Sent: Tuesday, February 09, 2016 10:26 AM
To: Alexander Vainshtein
Cc: Andrew G. Malis; [email-masked]
Subject: Re: [Pals] PALS Working Group Last Call for draft-ietf-pals-seamless-vccv-01

Sasha,

On Feb 9, 2016, at 6:39 AM, Alexander Vainshtein <[email-masked]<mailto:[email-masked]>> wrote:

Carlos,

Regards,
Sasha

Office: +972-39266302
Cell:      +972-549266302

Sasha,

2.2.2.1.  Demultiplexing

The uniqueness bit is well covered in Section 4.1. of draft-ietf-bfd-seamless-base, titled "S-BFD Discriminator Uniqueness"
GIM>> I’ll differentiate SS-PW and MS-PW use cases. I think that regardless of S-BFD discriminator used multiple S-BFD over SS-PW would be breaking requirement expressed in Section 2 RFC 5881:
   Each BFD session between a pair of systems MUST traverse a separate
   network-layer path in both directions.  This is necessary for
   demultiplexing to work properly, and also because (by definition)
   multiple sessions would otherwise be protecting the same path.
For MS-PW case, in my view, multiple S-BFD sessions may be used if the abovementioned requirement can be complied with.

For MPLS, LDP is potentially one way of distributing discriminators. Interestingly, if you look at RFC 5884, traditional BFD uses MPLS LSP Ping for doing the discriminator learning, and not, say, LDP.
GIM>> BFD bootstrap in RFC 5884 required to establish mapping between source and discriminator thus avoiding ambiguity resulting from PHP or use of explicit null label. I believe that there’s no apparent need to use LSP bootstrap for VCCV (S-)BFD.

GIM>> I agree, that enhancing list of available CV Types is necessary to enable use of S-BFD over PW. And I agree with Sasha that providing companion extension to LDP in this document is logical thing to expect since L2TPv3 extension already documented. Perhaps moving proposal regarding L2TPv3 extension into a new document that would include, at some day, LDP extension to advertise S-BFD Discriminator (or group of them) may be viable option to consider.

Please see above.

The current text reads:

Thanks,

— Carlos.

Thanks,

— Carlos.

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Wed, 10 Feb 2016 02:00:28 +0000

Hi, Greg,

Great discussion indeed — thanks for the comments, definitely help.

More inline.

> On Feb 9, 2016, at 6:29 PM, Gregory Mirsky <[email-masked]> wrote:
> 
> From: Pals [mailto:[email-masked] <mailto:[email-masked]>] On Behalf Of Carlos Pignataro (cpignata)
> On Feb 9, 2016, at 6:39 AM, Alexander Vainshtein <[email-masked] <mailto:[email-masked]>> wrote:
> 
> Carlos,

That’s a very good point, note that the doc clarifies this is scoped for SS-PW: “This document concerns itself with the S-BFD VCCV operation over single-segment pseudowires (SS-PWs)."

I do not think that RFC 5881 applies (since that is Traditional BFD for Single IP Hops), but I do see why you’d extrapolate.

> GIM>> BFD bootstrap in RFC 5884 required to establish mapping between source and discriminator thus avoiding ambiguity resulting from PHP or use of explicit null label. I believe that there’s no ap…

Correct.

> GIM>> I agree, that enhancing list of available CV Types is necessary to enable use of S-BFD over PW. And I agree with Sasha that providing companion extension to LDP in this document is logical th…

There’s a slight misunderstanding.

This document, draft-ietf-pals-seamless-vccv-01, only includes CV Types for MPLS and L2TPv3.

A separate document, draft-ietf-l2tpext-sbfd-discriminator, specifies the Discriminator advertisement using L2TPv3.

This is good document modularity.

If someone is interested in the S-BFD Discriminator advertisement using LDP, then by all means he or she should pursue it.

So, the L2TPv3 extensions are *not* documented in this document. They are moved out already into an L2TPEXT document. There is no plan to include LDP into that document, any day.

Thanks!

— Carlos.

---

From: Gregory Mirsky <[email-masked]>
Date: Wed, 10 Feb 2016 02:18:40 +0000

Hi Carlos,
thank you for the most expedient response and your kind consideration of my comments.
Yes, MS-PW out the scope of this work – point taken.
Reading the diff rather than the document in its entirety is bit of a challenge. I second Sasha and encourage authors to publish the updated version.

                Regards,
                                Greg

From: Carlos Pignataro (cpignata) [mailto:[email-masked]]
Sent: Tuesday, February 09, 2016 6:00 PM
To: Gregory Mirsky
Cc: Alexander Vainshtein; Andrew G. Malis; [email-masked]
Subject: Re: [Pals] PALS Working Group Last Call for draft-ietf-pals-seamless-vccv-01

Hi, Greg,

More inline.

On Feb 9, 2016, at 6:29 PM, Gregory Mirsky <[email-masked]<mailto:[email-masked]>> wrote:

                Regards,
                                Greg

Sasha,

Carlos,

Regards,
Sasha

Office: +972-39266302
Cell:      +972-549266302

Sasha,

2.2.2.1.  Demultiplexing

Correct.

Thanks!

— Carlos.

Please see above.

The current text reads:

Thanks,

— Carlos.

Thanks,

— Carlos.

---

From: "Andrew G. Malis" <[email-masked]>
Date: Mon, 22 Feb 2016 19:12:43 -0500

This ends the WG last call. Carlos, please upload a new revision to reflect
received comments and clear out the TBDs.

Thanks,
Andy

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Tue, 23 Feb 2016 00:47:20 +0000

Thanks, Andy!

I just uploaded a new revision which should address all the comments received and summarize all the discussion held.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-pals-seamless-vccv/

There's also a htmlized version available at:
https://tools.ietf.org/html/draft-ietf-pals-seamless-vccv-02

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-pals-seamless-vccv-02

Thanks!

- Carlos.

From: Rtg-bfd <[email-masked]<mailto:[email-masked]>> on behalf of "Andrew G. Malis" <[email-masked]<mailto:[email-masked]>>
Date: Monday, February 22, 2016 at 7:12 PM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: PALS Working Group Last Call for draft-ietf-pals-seamless-vccv-01

This ends the WG last call. Carlos, please upload a new revision to reflect received comments and clear out the TBDs.

Thanks,
Andy

On Mon, Feb 8, 2016 at 10:16 AM, Andrew G. Malis <[email-masked]<mailto:[email-masked]>> wrote:
This is the PALS Working Group Last Call for draft-ietf-pals-seamless-vccv-01. You can find the draft at:

Thanks,
Andy and Stewart

---

From: Alexander Vainshtein <[email-masked]>
Date: Tue, 1 Mar 2016 01:08:47 +0000

Hi all,
I have read the -02 revision and my original concerns are successfully resolved. In particular I accept the authors' decision not to address signaling of the discriminator values using via LDP leaving that to a separate document.

I apologize for a delayed response.

Thumb typed on my cellphone
Regards,
Sasha

-------- Original Message --------
From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Mon, February 22, 2016 6:47 PM -0600
To: "Andrew G. Malis" <[email-masked]>, [email-masked]
CC: [email-masked]
Subject: Re: PALS Working Group Last Call for draft-ietf-pals-seamless-vccv-01

Thanks, Andy!

Thanks!

- Carlos.

Thanks,
Andy

Thanks,
Andy and Stewart

---

From: "Andrew G. Malis" <[email-masked]>
Date: Mon, 29 Feb 2016 22:19:26 -0500

Sasha,

Thanks! Now the ball’s in my court. :-)

Cheers,
Andy

On Mon, Feb 29, 2016 at 8:08 PM, Alexander Vainshtein <
[email-masked]> wrote:

> I just uploaded a new revision which should address all the comments
> received and summarize all the discussion held.
>
> From: Rtg-bfd <[email-masked]> on behalf of "Andrew G. Malis" <
> [email-masked]>
> To: "[email-masked]" <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>
> This ends the WG last call. Carlos, please upload a new revision to
> reflect received comments and clear out the TBDs.
>
> Thanks,
> Andy
>
>